---
Language: Cpp
BasedOnStyle: LLVM
AccessModifierOffset: -4
AlignAfterOpenBracket: DontAlign
AlignEscapedNewlines: Left
AllowShortFunctionsOnASingleLine: None
AllowShortIfStatementsOnASingleLine: false
AlwaysBreakBeforeMultilineStrings: true
AlwaysBreakTemplateDeclarations: Yes
BraceWrapping: 
  AfterCaseLabel: true
  AfterClass: true
  AfterControlStatement: true
  AfterEnum: true
  AfterFunction: true
  AfterNamespace: true
  AfterStruct: true
  AfterUnion: true
  AfterExternBlock: true
  BeforeCatch: true
  BeforeElse: true
  IndentBraces: false
  SplitEmptyFunction: true
  SplitEmptyRecord: true
  SplitEmptyNamespace: true
BreakBeforeBraces: Custom
BreakConstructorInitializers: BeforeComma
ColumnLimit: 132
CompactNamespaces: true
ConstructorInitializerAllOnOneLineOrOnePerLine: true
ForEachMacros: 
  - for
IncludeBlocks: Regroup
IncludeCategories: 
  - Regex: '.*(PCH).*'
    Priority: -1
  - Regex: '".*"'
    Priority: 1
  - Regex: '^<.*\.(h)>'
    Priority: 3
  - Regex: '^<.*>'
    Priority: 4
  - Regex: '.*\.generated\.h'
    Priority: 100
  - Regex: '.*'
    Priority: 100
    SortPriority: 101
IncludeIsMainRegex: '([-_](test|unittest))?$'
IndentCaseLabels: true
IndentWidth: 4
KeepEmptyLinesAtTheStartOfBlocks: false
ObjCBinPackProtocolList: Never
PenaltyBreakBeforeFirstCallParameter: 1
PenaltyReturnTypeOnItsOwnLine: 200
PointerAlignment: Left
RawStringFormats: 
  - Language: Cpp
    Delimiters: 
      - cc
      - CC
      - cpp
      - Cpp
      - CPP
      - c++
      - C++
    CanonicalDelimiter: 
    BasedOnStyle: google
  - Language: TextProto
    Delimiters: 
      - pb
      - PB
      - proto
      - PROTO
    EnclosingFunctions: 
      - EqualsProto
      - EquivToProto
      - PARSE_PARTIAL_TEXT_PROTO
      - PARSE_TEST_PROTO
      - PARSE_TEXT_PROTO
      - ParseTextOrDie
      - ParseTextProtoOrDie
    CanonicalDelimiter: 
SpaceAfterCStyleCast: true
Standard: Auto
TabWidth: 4
UseTab: Always
...
